Package org.silverpeas.components.resourcesmanager.web

## Class ResourceCategoryEntity

- java.lang.Object
- - org.silverpeas.components.resourcesmanager.web.ResourceCategoryEntity

- All Implemented Interfaces:
    `Serializable`, `org.silverpeas.core.web.rs.WebEntity`

      public class ResourceCategoryEntity
      extends Object
      implements org.silverpeas.core.web.rs.WebEntity

  Web entity abstraction which provides category informations of the entity
  Author:
    Yohann Chastagnier
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `ResourceCategoryEntity()` |
    `protected` | `ResourceCategoryEntity​(Category category)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ResourceCategoryEntity` | `createFrom​(Category category)` | Creates a new category entity from the specified category.
    `boolean` | `equals​(Object obj)` |
    `String` | `getDescription()` |
    `Long` | `getId()` |
    `String` | `getName()` |
    `URI` | `getURI()` |
    `int` | `hashCode()` |
    `ResourceCategoryEntity` | `withURI​(URI uri)` | Sets a URI to this entity.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceCategoryEntity

          protected ResourceCategoryEntity​(Category category)

    - #### ResourceCategoryEntity

          protected ResourceCategoryEntity()

  - ### Method Detail

    - #### withURI

          public ResourceCategoryEntity withURI​(URI uri)

      Sets a URI to this entity. With this URI, it can then be accessed through the Web.
      Parameters:
        `uri` - the web entity URI.
      Returns:
        itself.

    - #### createFrom

          public static ResourceCategoryEntity createFrom​(Category category)

      Creates a new category entity from the specified category.
      Parameters:
        `category` -
      Returns:
        the entity representing the specified category.

    - #### getURI

          public URI getURI()

      Specified by:
        `getURI` in interface `org.silverpeas.core.web.rs.WebEntity`

    - #### getId

          public Long getId()

    - #### getName

          public String getName()

    - #### getDescription

          public String getDescription()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`